from CyXTraX.util.datasets import generate_atlas_from_folder
from pathlib import Path
from jax import random


"""
This dataset adds 100 samples of random xray transforms.
It takes about 300 minutes of time
and needs 100gb of space.
"""


def main():
    # Dataset save folder
    save_folder = Path(r"\\192.168.43.8\data\Wittl\06_datasets\XrayTransform")
    number_of_maps = 4
    map_bounding_box = 25
    # Dataset of multiple random stl files from: https://ten-thousand-models.appspot.com/
    load_folder = Path(r"C:\Users\swittl\Downloads\Thingi10K\Thingi10K\raw_meshes")

    number_of_samples = len(list(save_folder.glob("*.h5"))) + 1

    for i in range(number_of_samples, number_of_samples + 100):
        # start from number of samples to generate diffrent rng keys!!!
        print(i)
        key = random.PRNGKey(i)
        generate_atlas_from_folder(
            load_folder,
            key,
            save_folder,
            map_bounding_box=(-map_bounding_box, map_bounding_box),
            number_of_maps=number_of_maps,
        )


if __name__ == "__main__":
    main()
