from CyXTraX.io import load_atlas
from pathlib import Path
from PIL import Image


def atlas_gif(load_path: Path):
    maps, map_position, meshes = load_atlas(load_path)


def load_pil(path: Path) -> Image.Image:
    return Image.open(path)


def make_gif(load_path: Path, pattern: str, name: str, duration_ms: float = 100):
    frames = sorted(list(load_path.glob(pattern)))
    frames = list(map(load_pil, frames))
    frames[0].save(
        load_path / name,
        save_all=True,
        append_images=frames[1:],
        duration=duration_ms,
        loop=0,
    )
